summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Heinz Wiesinger2012-12-19 20:29:20 +0100
committer Matteo Bernardini2012-12-19 20:29:44 +0100
commita942700fb8a338e2f10b86690adb2a3e2bffdffb (patch)
treebdc27963abf8b0098a71e130f03630127d93e8ef /development
parent46cd683713f8a29863540dd7103e598d320c5eda (diff)
downloadslackbuilds-a942700fb8a338e2f10b86690adb2a3e2bffdffb.tar.gz
development/php-pinba: Added (Pinba Statistics Server - PHP part).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/php-pinba/README6
-rw-r--r--development/php-pinba/doinst.sh15
-rw-r--r--development/php-pinba/php-pinba.SlackBuild113
-rw-r--r--development/php-pinba/php-pinba.info10
-rw-r--r--development/php-pinba/pinba.ini8
-rw-r--r--development/php-pinba/slack-desc19
6 files changed, 171 insertions, 0 deletions
diff --git a/development/php-pinba/README b/development/php-pinba/README
new file mode 100644
index 0000000000..afa93fe69a
--- /dev/null
+++ b/development/php-pinba/README
@@ -0,0 +1,6 @@
+Pinba (PHP Is Not A Bottleneck Anymore) is a statistics server
+using MySQL as an interface. It accumulates and processes data
+sent over UDP by multiple PHP processes and displays statistics
+in a nice human-readable form of simple "reports", also providing
+read-only interface to the raw data in order to make possible
+generation of more sophisticated reports.
diff --git a/development/php-pinba/doinst.sh b/development/php-pinba/doinst.sh
new file mode 100644
index 0000000000..c48bdfd29e
--- /dev/null
+++ b/development/php-pinba/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD|md5sum)" = "$(cat $NEW|md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/php/pinba.ini.new
+
diff --git a/development/php-pinba/php-pinba.SlackBuild b/development/php-pinba/php-pinba.SlackBuild
new file mode 100644
index 0000000000..7ad25810cb
--- /dev/null
+++ b/development/php-pinba/php-pinba.SlackBuild
@@ -0,0 +1,113 @@
+#!/bin/sh
+
+# Slackware build script for php-pinba
+
+# Copyright 2012 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=php-pinba
+SRCNAM=pinba_extension
+VERSION=1.0.0
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf pinba-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tgz
+cd pinba-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+PHP_CONFIG=/usr/bin/php-config
+
+phpize
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --sysconfdir=/etc \
+ --enable-shared \
+ --disable-static \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --with-php-config=$PHP_CONFIG \
+ --build=$ARCH-slackware-linux
+
+make
+
+EXTENSION_DIR="$PKG/$($PHP_CONFIG --extension-dir)"
+mkdir -p $EXTENSION_DIR
+
+make install DESTDIR=$PKG EXTENSION_DIR=$EXTENSION_DIR
+
+mkdir -p $PKG/etc/php
+install -m 644 $CWD/pinba.ini $PKG/etc/php/pinba.ini.new
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CREDITS NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/php-pinba/php-pinba.info b/development/php-pinba/php-pinba.info
new file mode 100644
index 0000000000..4063ce8634
--- /dev/null
+++ b/development/php-pinba/php-pinba.info
@@ -0,0 +1,10 @@
+PRGNAM="php-pinba"
+VERSION="1.0.0"
+HOMEPAGE="http://pinba.org/wiki/Main_Page"
+DOWNLOAD="http://pinba.org/files/pinba_extension-1.0.0.tgz"
+MD5SUM="d54eb41f9d546f6e6be1151da892b4a0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="protobuf"
+MAINTAINER="Heinz Wiesinger"
+EMAIL="pprkut@liwjatan.at"
diff --git a/development/php-pinba/pinba.ini b/development/php-pinba/pinba.ini
new file mode 100644
index 0000000000..63de6beb7d
--- /dev/null
+++ b/development/php-pinba/pinba.ini
@@ -0,0 +1,8 @@
+; Enable pinba extension module
+; extension=pinba.so
+
+; Whether to send request information to the database server
+; pinba.enabled = 1
+
+; IP Address and port of the database server
+; pinba.server = '192.168.0.1:123'
diff --git a/development/php-pinba/slack-desc b/development/php-pinba/slack-desc
new file mode 100644
index 0000000000..4559e1100f
--- /dev/null
+++ b/development/php-pinba/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------|
+php-pinba: php-pinba (Pinba Statistics Server - PHP part)
+php-pinba:
+php-pinba: Pinba (PHP Is Not A Bottleneck Anymore) is a statistics server
+php-pinba: using MySQL as an interface. It accumulates and processes data
+php-pinba: sent over UDP by multiple PHP processes and displays statistics
+php-pinba: in a nice human-readable form of simple "reports", also providing
+php-pinba: read-only interface to the raw data in order to make possible
+php-pinba: generation of more sophisticated reports.
+php-pinba:
+php-pinba: Homepage: http://pinba.org/wiki/Main_Page
+php-pinba: